#include <stdio.h>
#include "KAarray.H"

class K:public KAarray {
public:
    inline int autoappend(int x)	{ return KAarray::autoappend(x); }
    inline int autoappend()		{ return KAarray::autoappend(); }
    inline KA& create(char *key, char *value = 0)
					{ return KAarray::create(key,value); }
    inline int print(FILE* out = stdout){ return KAarray::print(out); }
    inline int read(FILE* in) { abort(); in = 0; }
} ;

main()
{
    K foo;

    foo.create("B");
    foo.create("c");

    foo.autoappend(1);

    foo["a"] = "this is the value of A";
    foo["b"] = "This is the value of b";

    foo["a"] += "(with an addition)";

    foo.autoappend(0);
    foo["D"] = "This is a value that should not be here";

    foo.print();
}
